QCA::CRLContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::CRLContext:
[legend]

## Public Member Functions

virtual bool | compare (const CRLContext *other) const =0
| CRLContext (Provider *p)
virtual const CRLContextProps * | props () const =0
Public Member Functions inherited from QCA::CertBase
| CertBase (Provider *p, const QString &type)
virtual ConvertResult | fromDER (const QByteArray &a)=0
virtual ConvertResult | fromPEM (const QString &s)=0
virtual QByteArray | toDER () const =0
virtual QString | toPEM () const =0
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

X.509 certificate revocation list provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CRL instead.

## Constructor & Destructor Documentation

## CRLContext()

QCA::CRLContext::CRLContext | ( | Provider * | p | ) |

inline

Standard constructor.

Parameters

  p | the provider associated with this context

References QCA::CertBase::CertBase().

Referenced by compare().

## Member Function Documentation

## props()

virtual const CRLContextProps * QCA::CRLContext::props | ( |  | ) | const

pure virtual

Returns a pointer to the properties of this CRL.

## compare()

virtual bool QCA::CRLContext::compare | ( | const CRLContext * | other | ) | const

pure virtual

Returns true if this CRL is equal to another CRL, otherwise false.

Parameters

  other | the CRL to compare with

References CRLContext().

The documentation for this class was generated from the following file:

- qcaprovider.h